X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

how do I update firefox when the download says not compatiable with win 2000

Posted

the latest version says it only woks with winxp service pack2 or later

Additional System Details

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape "9.5.2"
  • Default Plug-in
  • Version 1.0.3, copyright 1996-2009 The VideoLAN Teamhttp://www.videolan.org/
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object
  • Npdsplay dll

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.2.18) Gecko/20110614 Firefox/3.6.18

More Information

jscher2000
  • Top 10 Contributor
2359 solutions 20891 answers

Helpful Reply

Firefox 12 was the last version for Windows 2000. You can get that version from the FTP server, which hosts all previous releases of Firefox. Because older releases contain publicly disclosed security vulnerabilities, unfortunately you probably need to consider alternative browsers for Windows 2000.

ftp://ftp.mozilla.org/pub/firefox/releases/12.0/win32/en-US/

(If you prefer a language other than U.S. English, navigate up a level to choose your language.)

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24398 answers

You may want to read this support thread about using newer versions (than 12.0) of Firefox with Windows 2000.

http://forums.mozillazine.org/viewtopic.php?f=23&t=2482475